> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /polymarket/markets

> Get a Polymarket prediction market by its id or slug

**Price:** 1 credit

**⚠️ Common errors:** 412: Market not found



## OpenAPI

````yaml /openapi/finance-markets.json post /api/polymarket/markets
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/polymarket/markets:
    post:
      tags:
        - /polymarket
      summary: /polymarket/markets
      description: |-
        Get a Polymarket prediction market by its id or slug

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Market not found
      operationId: __api_polymarket_markets_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PolymarketMarketPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PolymarketMarket'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PolymarketMarketPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        market:
          type: string
          minLength: 1
      type: object
      required:
        - market
    PolymarketMarket:
      properties:
        '@type':
          type: string
          default: PolymarketMarket
        id:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        question:
          type: string
        condition_id:
          anyOf:
            - type: string
            - type: 'null'
        question_id:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        icon:
          anyOf:
            - type: string
            - type: 'null'
        outcomes:
          items:
            $ref: '#/components/schemas/PolymarketMarketOutcome'
          type: array
          default: []
        clob_token_ids:
          items:
            type: string
          type: array
          default: []
        best_bid:
          anyOf:
            - type: number
            - type: 'null'
        best_ask:
          anyOf:
            - type: number
            - type: 'null'
        spread:
          anyOf:
            - type: number
            - type: 'null'
        last_trade_price:
          anyOf:
            - type: number
            - type: 'null'
        one_hour_price_change:
          anyOf:
            - type: number
            - type: 'null'
        one_day_price_change:
          anyOf:
            - type: number
            - type: 'null'
        one_week_price_change:
          anyOf:
            - type: number
            - type: 'null'
        one_month_price_change:
          anyOf:
            - type: number
            - type: 'null'
        one_year_price_change:
          anyOf:
            - type: number
            - type: 'null'
        volume:
          anyOf:
            - type: number
            - type: 'null'
        volume_24hr:
          anyOf:
            - type: number
            - type: 'null'
        volume_1wk:
          anyOf:
            - type: number
            - type: 'null'
        volume_1mo:
          anyOf:
            - type: number
            - type: 'null'
        volume_1yr:
          anyOf:
            - type: number
            - type: 'null'
        liquidity:
          anyOf:
            - type: number
            - type: 'null'
        competitive:
          anyOf:
            - type: number
            - type: 'null'
        order_min_size:
          anyOf:
            - type: number
            - type: 'null'
        order_price_min_tick_size:
          anyOf:
            - type: number
            - type: 'null'
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
        is_closed:
          anyOf:
            - type: boolean
            - type: 'null'
        is_archived:
          anyOf:
            - type: boolean
            - type: 'null'
        is_new:
          anyOf:
            - type: boolean
            - type: 'null'
        is_featured:
          anyOf:
            - type: boolean
            - type: 'null'
        is_restricted:
          anyOf:
            - type: boolean
            - type: 'null'
        accepting_orders:
          anyOf:
            - type: boolean
            - type: 'null'
        enable_order_book:
          anyOf:
            - type: boolean
            - type: 'null'
        neg_risk:
          anyOf:
            - type: boolean
            - type: 'null'
        market_type:
          anyOf:
            - type: string
            - type: 'null'
        resolution_source:
          anyOf:
            - type: string
            - type: 'null'
        uma_resolution_status:
          anyOf:
            - type: string
            - type: 'null'
        group_item_title:
          anyOf:
            - type: string
            - type: 'null'
        start_at:
          anyOf:
            - type: string
            - type: 'null'
        end_at:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
        closed_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - question
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    PolymarketMarketOutcome:
      properties:
        '@type':
          type: string
          default: PolymarketMarketOutcome
        outcome:
          type: string
        price:
          anyOf:
            - type: number
            - type: 'null'
        clob_token_id:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - outcome
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````